Компания Intel пересмотрела планы относительно защиты устаревших чипов от уязвимостей Meltdown и Spectre. Согласно официальному заявлению, владельцы Sandy Bridge или более новых систем продолжат получать обновления микрокода, а вот разработка исправлений для процессоров старше семи лет будет остановлена.

Об уязвимостях Meltdown и Spectre, затрагивающих процессоры Intel и ARM64, а также некоторые продукты AMD, стало известно в начале января. Из-за ошибок, допущенных на аппаратном уровне, возможна кража данных, которые обрабатываются на устройстве в текущий момент, в том числе пароли, электронные письма и переписку в мессенджерах.

В феврале и марте Intel выпустила исправления для актуальных моделей процессоров (Broadwell, Haswell, Skylake, Kaby Lake и Coffee Lake), пообещав позднее также защитить 45-нанометровые чипы Core 2 (архитектура Penryn) и Core 1-го поколения (Westmere и Nehalem). Компания изготовила всего несколько "заплаток" для некоторых моделей Westmere и Nehalem, но на этой неделе заявила, что другая часть этих продуктов никогда не будет обновлена, а Core 2 вообще не получат новую прошивку.

Изменение планов в Intel связали с тем, что "большинство этих продуктов реализованы как 'закрытые системы', и поэтому менее подвержены этим уязвимости". Среди других причин компания указала ограниченную доступность поддержки программного обеспечения, а также маловероятность атаки типа Spectre variant 2 из-за "микроархитектурных характеристик" старых чипов.